using Claim = System.Security.Claims.Claim;

namespace OpenWarehouse.warehouse.api.Data;

public class ProducerClaims() : ClaimBase
{

    public ProducerClaims(Producers producer, Claim claim) : this()
    {
        this.Producer = producer;
        ClaimType = claim.Type;
        ClaimValue = claim.Value;
    }
    
    [Key]
    public Guid? Id { get; set; }
    
    [Required, MaxLength(100)]
    public Guid? ProducerId { get; set; }
    public Producers? Producer { get; set; }
    

}